%global momorel 1

Summary: Motorola Synchronization Plug-In for OpenSync
Name: libopensync-plugin-moto
Version: 0.22
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: libopensync-plugin-python
Requires: pybluez
Requires: python-dateutil
BuildRequires: libopensync-devel
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from Motorola cellphones which doesn't support SyncML via Obex (e.g.
Razr V3(i), L7, V635).

Additionally install the libopensync package.

%prep
%setup -q

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/opensync/python-plugins/
mkdir -p %{buildroot}%{_datadir}/opensync/defaults/
cp motosync.py %{buildroot}%{_libdir}/opensync/python-plugins/ 
cp moto-sync %{buildroot}%{_datadir}/opensync/defaults/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/opensync/python-plugins/motosync.py
%{_datadir}/opensync/defaults/moto-sync

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
